import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
const Editer = () => import('../views/editer.vue')
const Home = () => import('../views/home.vue')
Vue.use(VueRouter)

const routes: Array<RouteConfig> = [
  {
    path: '/editer',
    name: 'Editer',
    component: Editer
  },
  {
    path: '/home',
    name: 'home',
    component: Home
  }
]

const router = new VueRouter({
  mode: 'history',
  base: "persagyTopo",
  routes
})

export default router
