import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    editCmd: '', //编辑器编辑命令
    legendObj: null //获取的相关图例数据obj
  },
  mutations: {
    // 修改编辑器命令
    SETCHOICELEHEND(state, data) {
      state.editCmd = data;
    },
    // 修改编辑器图例
    SETLEGENDOBJ(state, data) {
      state.legendObj = data;
    }
  },
  actions: {
  },
  modules: {
  }
})
